Open Lighting Architecture: ola::plugin::spi Namespace Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Classes | Typedefs | Functions
ola::plugin::spi Namespace Reference

## Detailed Description

Code for SPI devices.

## Classes
class | FakeSPIWriter
class | SPIBackendInterface
class | HardwareBackend
class | SoftwareBackend
class | FakeSPIBackend
class | SPIDevice
class | SPIOutput
class | SPIPlugin
class | SPIOutputPort
class | SPIWriterInterface
class | SPIWriter
class | MutexLocker
class | string
| STL class. More...
class | vector
| STL class. More...
class | UID
| Represents a RDM UID. More...
class | auto_ptr
| STL class. More...
class | ostringstream
| STL class. More...
class | set
| STL class. More...
class | LoadSensor
class | Personality
class | PersonalityCollection
class | PersonalityManager
class | RDMCommand
| The base class that all RDM requests & responses inherit from. More...
class | RDMRequest
| RDM Commands that represent requests (GET, SET or DISCOVER). More...
class | RDMResponse
| An RDM Command that represents responses (GET, SET or DISCOVER). More...
class | ResponderHelper
class | UIDSet
| Represents a set of RDM UIDs. More...

## Typedefs
typedef ola::BaseCallback1< void, RDMReply * > | RDMCallback
| The callback run when a RDM request completes.
typedef ola::BaseCallback1< void, RDMReply * > | RDMCallback
| The callback run when a RDM request completes.
typedef ola::BaseCallback1< void, const ola::rdm::UIDSet & > | RDMDiscoveryCallback
| The callback run when a discovery operation completes.

## Functions
string | FilenameFromPathOrPath (const std::string &path)
| Convert a path to a filename (this variant is good for switching based on executable names).
uint16_t | HostToNetwork (uint16_t value)
| 16-bit unsigned host to network conversion.
uint16_t | NetworkToHost (uint16_t value)
| 16-bit unsigned network to host conversion.

## Typedef Documentation

## ◆ RDMCallback [1/2]

typedef ola::BaseCallback1<void, RDMReply*> ola::rdm::RDMCallback

The callback run when a RDM request completes.

Template Parameters

  reply | The RDMReply object. The reply object is valid for the duration of the call.

The RDMReply is not const, since some stages of the pipeline may need to rewrite the UID / Transaction Number.

For performance reasons this can be either a single use callback or a permanent callback.

## ◆ RDMCallback [2/2]

typedef ola::BaseCallback1<void, RDMReply*> ola::rdm::RDMCallback

The callback run when a RDM request completes.

Template Parameters

  reply | The RDMReply object. The reply object is valid for the duration of the call.

The RDMReply is not const, since some stages of the pipeline may need to rewrite the UID / Transaction Number.

For performance reasons this can be either a single use callback or a permanent callback.

## ◆ RDMDiscoveryCallback

typedef ola::BaseCallback1<void, const ola::rdm::UIDSet&> ola::rdm::RDMDiscoveryCallback

The callback run when a discovery operation completes.

Template Parameters

  UIDSet | The UIDs that were discovered.

## Function Documentation

## ◆ FilenameFromPathOrPath()

std::string ola::file::FilenameFromPathOrPath | ( | const string & | path | ) |

Convert a path to a filename (this variant is good for switching based on executable names).

Parameters

  path | a full path to a file

Returns
  the filename (basename) part of the path or the whole path if it can't be found